Foreman - Bug #12893

already initialized constant warnings
12/21/2015 07:08 AM - Ohad Levy

Status: Closed
Priority: Normal
Assignee: Ohad Levy
Category: Rails
Target version: 1.11.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2996
Description

When loading the application, the following kind of errors are reported:

foreman/lib/net/validations.rb:7: warning: already initialized constant Net::Validations

EXP

foreman/lib/net/validations.rb:7: warning: previous definition of MASK_REGEXP was here

: :MASK_REG

Associated revisions

Revision ¢7521b7b - 12/22/2015 06:02 AM - Ohad Levy

fixes #12893 - ensure constants are set only once

the root cause is probably the same file is loaded multiple times.

History

#1 - 12/21/2015 07:09 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/2996 added

#2 - 12/22/2015 07:01 AM - Ohad Levy
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset c7521b7b9e4e39d526a85d162b6c1e593c2dcdda.

#3 - 12/22/2015 07:04 AM - Dominic Cleal
- Category set to Rails

- translation missing: en.field_release set to 71
